Source: unity-settings-daemon
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 9),
               gnome-pkg-tools,
               gtk-doc-tools,
               dh-autoreconf,
               dh-migrations,
               autotools-dev,
               intltool (>= 0.37.1),
               libdbus-glib-1-dev (>= 0.74),
               libglib2.0-dev (>= 2.35.3),
               libgtk-3-dev (>= 3.7.8),
               libgdk-pixbuf2.0-dev (>= 2.23.0),
               libnm-dev (>= 1.0) [linux-any],
               libnotify-dev (>= 0.7.0),
               libxt-dev,
               libxi-dev,
               libfontconfig1-dev,
               libxext-dev,
               libx11-dev,
               libxtst-dev,
               gsettings-desktop-schemas-dev (>= 3.15.4),
               libgnome-desktop-3-dev (>= 3.7.90),
               libpulse-dev (>= 1:2.0),
               libasound2-dev,
               librsvg2-dev (>= 2.36.2),
               libcanberra-gtk3-dev,
               libpolkit-gobject-1-dev,
               libaccountsservice-dev (>= 0.6.34),
               libappindicator3-dev (>= 0.4.90),
               hwdata,
               libupower-glib-dev (>= 0.99.1),
               libcolord-dev (>= 0.1.12),
               liblcms2-dev,
               libnss3-dev,
               libgudev-1.0-dev,
               libwacom-dev (>= 0.7),
               xserver-xorg-input-wacom,
               libgnomekbd-dev (>= 3.5.1),
               libxklavier-dev,
               libsystemd-dev (>= 183),
               libibus-1.0-dev (>= 1.5.0),
               fcitx-libs-dev,
               gperf,
               libgl1-mesa-dev,
               libxkbfile-dev,
               xkb-data,
Standards-Version: 3.9.3
Vcs-Bzr: https://code.launchpad.net/~unity-settings-daemon-team/unity-settings-daemon/trunk
X-Ubuntu-Use-Langpack: yes

Package: unity-settings-daemon
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         accountsservice (>= 0.6.34),
         gsettings-desktop-schemas (>= 3.15.4),
         nautilus-data (>= 2.91.3-1),
         unity-settings-daemon-schemas (>= ${source:Version}),
         gsettings-ubuntu-schemas (>= 0.0.7+17.10.20170922),
Recommends: ibus (>= 1.5.0),
            pulseaudio,
            systemd-services
Pre-Depends: ${misc:Pre-Depends}
Breaks: rhythmbox (<< 0.11.5),
        banshee (<< 0.13.2+dfsg-7),
        totem (<< 2.22.0),
        gnome-control-center (<< 1:3.6.3-0ubuntu35),
        gnome-session (<< 3.9.90-0ubuntu6),
        gnome-screensaver (<< 2.28.0),
        gnome-color-manager (<< 3.0),
        unity (<< 7.3.2),
        unity-greeter (<< 0.2.1-0ubuntu1),
        indicator-datetime (<< 12.10.3daily13.03.26),
        ubuntu-session (<< 3.24.1-0ubuntu3~),
Suggests: x11-xserver-utils,
          gnome-screensaver,
          metacity | x-window-manager
Description: daemon handling the Unity session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a Unity session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: unity-settings-daemon-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbus-glib-1-dev (>= 0.74),
         libglib2.0-dev (>= 2.35.3)
Description: Headers for building applications communicating with unity-settings-daemon
 This package contains header files required to build applications that
 communicate with the Unity settings daemon over D-Bus.
 
Package: unity-settings-daemon-schemas
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-settings-daemon (<< 3.20.1-2ubuntu1~)
Breaks: gnome-settings-daemon (<< 3.20.1-2ubuntu1~)
Description: Shared schemas for gnome-settings-daemon
 This package contains the gsettings schemas used by
 unity-settings-daemon.

Package: libunity-settings-daemon1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Helper library for accessing settings
 This package contains a helper library for unity-control-center

Package: libunity-settings-daemon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libunity-settings-daemon1 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libgdk-pixbuf2.0-dev,
         libgnome-desktop-3-dev
Description: Helper library for accessing settings (development files)
 This package contains a headers for using libunity-settings-daemon
